Bug 179180 - bugs.eclipse.org query options not parsed properly
Summary: bugs.eclipse.org query options not parsed properly
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-bugzilla   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Pound
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-27 21:25 UTC by Jeff Pound
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-20 22:55:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Pound 2006-01-27 21:25:21 UTC
Description of problem:
eclipse-bugzilla does not properly parse the product/component/version/milestone
tuples from eclipse.org. Eclipse.org has modified their bugzilla installation to
include a "Classification" field which breaks our screen scraping (XML-RPC would
be nice right about now ;)

Version-Release number of selected component (if applicable):
eclipse-bugzilla-0.1.2

How reproducible:
always

Steps to Reproduce:
1. add bugs.eclipse.org/bugs
2. check the associations of products <-> components
  

We can put a band aid on this particular situation but we can't expect to hanlde
every type of modified bugzilla installation. The long term solution is a
bugzilla XML-RPC.

Comment 1 Igor Foox 2006-03-15 18:05:02 UTC
Classifications are a new feature of 2.20 so it's not only eclipse.org that will
be broken. (It is disabled by default on 2.20 installations I think, but can be
enabled).

Comment 2 Jeff Pound 2006-03-20 22:55:41 UTC
Fixed parser to ignore classification info so Product/cmpt/vers/ms tuples are
now parsed properly. Support for classifications in the UI is on the roadmap.


Note You need to log in before you can comment on or make changes to this bug.